# Generated from rails_drivers-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails_drivers

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: De-coupled separation of concerns for Rails
License: MIT
URL: https://github.com/degica/rails_drivers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(webpacker)
BuildArch: noarch

%description
Like Rails Engines, but without the friction. Your Rails app can't access
them, and they can't access each other.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/driver
%{_bindir}/nodriver
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 1.2.0-1
- Initial package
